
Application: gvSIG desktop - gvSIG bugs #5031
Problema al inicializar addons Scripting cuando ya existen los .class
03/04/2019 02:51 PM - Óscar Martínez

Status: Outdated % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:
Category: Scripting
Target version: 2.5.0-2920
Severity: Minor Add-on version:
gvSIG version: 2.5.0 Add-on build:
gvSIG build: 2913 Add-on resolve version:
Operative System: Windows Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Probado en Windows 10.
Instalas gvSIG normal y ejecutas y no hay problema.
El problema solo viene cuando abres el ScriptingComposerTools, esto hace que se generen los .class en la librería gvsig.
Si ahora cierras y abres gvSIG, durante el arranque, aparece el siguiente mensaje por cada plugin(adjunto logs para toda la info) y
produce que no se ejecute correctamente ningún script.
Si borras los .class y  abres de nuevo, parece que todo funciona correctamente.
:

INFO 15210 AWT-EventQueue-0 org.gvsig.scripting.app.extension.ScriptingUtils$AbstractExecuteScripts - running autotun script
'C:\Users\oskmo\gvSIG\plugins\org.gvsig.scripting.app.mainplugin\2.5.0\scripts\addons\RingMap\autorun.inf' (000500.default.000500,
null).
WARN 15603 AWT-EventQueue-0 org.gvsig.scripting.app.extension.ScriptingUtils$AbstractExecuteScripts - Can't execute autotun
from 'C:\Users\oskmo\gvSIG\plugins\org.gvsig.scripting.app.mainplugin\2.5.0\scripts\addons\RingMap\autorun.inf'.
org.gvsig.scripting.CompileErrorException: java.lang.IllegalArgumentException: java.lang.IllegalArgumentException: The reference file
'C:\Program%20Files\gvSIG-desktop\gvSIG-desktop-2.5.0-2913\gvSIG\extensiones\org.gvsig.scripting.app.mainplugin\scripting\lib\gvsig\__init__$py.class' doesn't exist in <script> at line number 2
sig\__init__$py.class' doesn't exist in <script> at line number 2
    at org.gvsig.scripting.impl.DefaultScriptingScript.compile(DefaultScriptingScript.java:574)
    at org.gvsig.scripting.impl.DefaultScriptingScript.run(DefaultScriptingScript.java:642)
    at org.gvsig.scripting.impl.DefaultScriptingScript.run(DefaultScriptingScript.java:630)
    at org.gvsig.scripting.app.extension.ScriptingUtils$AbstractExecuteScripts.executeScripts(ScriptingUtils.java:445)

Associated revisions
Revision 1099 - 03/05/2019 03:23 PM - Joaquín  del Cerro Murciano

refs #5031

History
#1 - 03/27/2019 10:46 AM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.0-2914 (rev. org.gvsig.desktop-2.0.242) to 2.5.0-2915 (rev. org.gvsig.desktop-2.0.243)

#2 - 04/01/2019 12:20 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.0-2915 (rev. org.gvsig.desktop-2.0.243) to 2.5.0-2916 (rev. org.gvsig.desktop-2.0.244)
#3 - 08/09/2019 12:06 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.5.0-2916 (rev. org.gvsig.desktop-2.0.244) to 2.5.0-2920

#4 - 10/08/2019 07:34 PM - Joaquín  del Cerro Murciano
- Status changed from New to Outdated

Files
gvSIG.log 20.5 KB 03/04/2019 Óscar Martínez
gvSIG.log.1 515 KB 03/04/2019 Óscar Martínez
